org.eclipse.viatra.query.runtime.rete.recipes

## Interface ExpressionEnforcerRecipe

- All Superinterfaces:
    AlphaRecipe, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe, SingleParentNodeRecipe
  All Known Subinterfaces:
    CheckRecipe, EvalRecipe
  All Known Implementing Classes:
    CheckRecipeImpl, EvalRecipeImpl, ExpressionEnforcerRecipeImpl

      public interface ExpressionEnforcerRecipe
      extends AlphaRecipe

  A representation of the model object 'Expression Enforcer Recipe'. type RuntimeExpressionEvaluator wraps org.eclipse.viatra.query.runtime.matchers.psystem.IExpressionEvaluator class RuntimeExpressionDefinition extends ExpressionDefinition { RuntimeExpressionEvaluator evaluator }

  The following features are supported:

  - `Expression`
  - `Mapped Indices`
  - `Cache Output`
  See Also:
    `RecipesPackage.getExpressionEnforcerRecipe()`
  Generated:
  Model:
    abstract="true"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionDefinition` | `getExpression()` Returns the value of the 'Expression' containment reference.
    `org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer>` | `getMappedIndices()` Returns the value of the 'Mapped Indices' map.
    `boolean` | `isCacheOutput()` Returns the value of the 'Cache Output' attribute.
    `void` | `setCacheOutput(boolean value)` Sets the value of the '`Cache Output`' attribute.
    `void` | `setExpression(ExpressionDefinition value)` Sets the value of the '`Expression`' containment reference.

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.SingleParentNodeRecipe

      `getParent, setParent`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getArity, getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### getExpression

          ExpressionDefinition getExpression()

      Returns the value of the 'Expression' containment reference. Provides traceability to expression representation.
      Returns:
        the value of the 'Expression' containment reference.
      See Also:
        `setExpression(ExpressionDefinition)`, `RecipesPackage.getExpressionEnforcerRecipe_Expression()`
      Generated:
      Model:
        containment="true"

    - #### setExpression

          void setExpression(ExpressionDefinition value)

      Sets the value of the '`Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Expression' containment reference.
      See Also:
        `getExpression()`
      Generated:

    - #### getMappedIndices

          org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer> getMappedIndices()

      Returns the value of the 'Mapped Indices' map. The key is of type `String`, and the value is of type `Integer`, String -> Index map. Maps variable names in the expression to tuple indices.
      Returns:
        the value of the 'Mapped Indices' map.
      See Also:
        `RecipesPackage.getExpressionEnforcerRecipe_MappedIndices()`
      Generated:
      Model:
        mapType="org.eclipse.viatra.query.runtime.rete.recipes.StringIndexMapEntry<org.eclipse.emf.ecore.EString, org.eclipse.viatra.query.runtime.rete.recipes.Index>"

    - #### isCacheOutput

          boolean isCacheOutput()

      Returns the value of the 'Cache Output' attribute.
      Returns:
        the value of the 'Cache Output' attribute.
      See Also:
        `setCacheOutput(boolean)`, `RecipesPackage.getExpressionEnforcerRecipe_CacheOutput()`
      Generated:
      Model:

    - #### setCacheOutput

          void setCacheOutput(boolean value)

      Sets the value of the '`Cache Output`' attribute.
      Parameters:
        `value` - the new value of the 'Cache Output' attribute.
      See Also:
        `isCacheOutput()`
      Generated: